package com.liang.service;

import com.liang.entity.BaseCompanytype;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (BaseCompanytype)表服务接口
 *
 * @author makejava
 * @since 2023-03-04 11:00:04
 */
public interface BaseCompanytypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseCompanytype queryById(String id);

    /**
     * 分页查询
     *
     * @param baseCompanytype 筛选条件
     * @param pageRequest     分页对象
     * @return 查询结果
     */
    Page<BaseCompanytype> queryByPage(BaseCompanytype baseCompanytype, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseCompanytype 实例对象
     * @return 实例对象
     */
    BaseCompanytype insert(BaseCompanytype baseCompanytype);

    /**
     * 修改数据
     *
     * @param baseCompanytype 实例对象
     * @return 实例对象
     */
    BaseCompanytype update(BaseCompanytype baseCompanytype);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseCompanytype> queryAll();
}
